View Issue Details

IDProjectCategoryView StatusLast Update
0013654Tine 2.0HumanResourcespublic2018-05-03 15:07
ReporterkneipAssigned Topschuele 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionreopened 
Product Version2017.08.9 Community Edition 
Target Version2018.02.4 Community EditionFixed in Version2018.02.4 Community Edition 
Summary0013654: feast calendar not selectable in Admin panel
DescriptionBug https://forge.tine20.org/view.php?id=12386 scheint nicht gelöst.
Mit unserer frischen Installation ist es nicht möglich, einen zuvor angelegten Shared Calendar als Feiertagskalendar für einen neuen Vertrag festzulegen.

Steps To Reproduce1) Shared Kalender "Feiertage Schleswig Holstein" anlegen
2) Mitarbeiter anlegen
3) Der Versuch, einen Vertrag anzulegen, scheitert daran, keinen Kalender als Feiertagskalender auswählen zu können.
Additional Informationroot@tine20:~# cat /etc/issue
Ubuntu 16.04.3 LTS \n \l

root@tine20:~# dpkg -l |grep tine20
ii tine20 2017.08.9-1.1604 all webbased groupware and crm - metapackage
ii tine20-activesync 2017.08.9-1.1604 all webbased groupware and crm - activesync module
ii tine20-allapps 2017.08.9-1.1604 all All Tine 2.0 applications
ii tine20-calendar 2017.08.9-1.1604 all webbased groupware and crm - calendar module
ii tine20-courses 2017.08.9-1.1604 all webbased groupware and crm - courses module
ii tine20-crm 2017.08.9-1.1604 all webbased groupware and crm - crm module
ii tine20-events 2017.08.9-1.1604 all webbased groupware and crm - events module
ii tine20-felamimail 2017.08.9-1.1604 all webbased groupware and crm - email module
ii tine20-filemanager 2017.08.9-1.1604 all webbased groupware and crm - filemanager module
ii tine20-humanresources 2017.08.9-1.1604 all webbased groupware and crm - humanresources module
ii tine20-inventory 2017.08.9-1.1604 all webbased groupware and crm - inventory module
ii tine20-libraries 2017.08.9-1.1604 all Additional libraries needed by Tine 2.0
ii tine20-mailfiler 2017.08.9-1.1604 all webbased groupware and crm - mailfiler module
ii tine20-phone 2017.08.9-1.1604 all webbased groupware and crm - phone module
ii tine20-projects 2017.08.9-1.1604 all webbased groupware and crm - projects module
ii tine20-sales 2017.08.9-1.1604 all webbased groupware and crm - sales module
ii tine20-tasks 2017.08.9-1.1604 all webbased groupware and crm - tasks module
ii tine20-timetracker 2017.08.9-1.1604 all webbased groupware and crm - timetracker module
ii tine20-tinebase 2017.08.9-1.1604 all webbased groupware and crm - core + addressbook module
ii tine20-voipmanager 2017.08.9-1.1604 all webbased groupware and crm - Voipmanager module
ii tine20-webstack 2017.08.9-1.1604 all Tine 2.0 webserver integration package
TagsNo tags attached.
mwticket

Relationships

related to 0012386 resolvedpschuele default feast_calendar not selectable 

Activities

pschuele

pschuele

2018-02-01 15:16

administrator   ~0021384

sollte im nächsten release wieder funktionieren.
kneip

kneip

2018-04-03 10:53

reporter   ~0021584

Update: tut in 2018.02.2 immer noch nicht
pschuele

pschuele

2018-04-26 18:51

administrator   ~0021700

Last edited: 2018-04-26 18:52

View 2 revisions

komisch, bei mir tuts. kannst du es nochmal in 2018.02.3 testen?

wenn nein: welcher fehler steht in der javascript console bzw. im error.log?

kneip

kneip

2018-04-27 08:50

reporter   ~0021702

Moin,

Firefox 95.02 JS Console:

Klick auf Feiertagskalender, nur "Andere Kalender wählen" möglich, bei Klick darauf:

TypeError: this.app.i18n is undefined

Dem aktuellen Chrome konnte ich keine Fehlermeldung in einem Popup entlocken (funktioniert aber auch nicht), das Serverlog schweigt in jedem Fall.
pschuele

pschuele

2018-05-03 15:07

administrator   ~0021714

ich kanns im aktuellen master nicht reproduzieren.

am besten, du probierst es mit der 2018.02.4 nochmal, die kommt voraussichtlich am 17.5.

Issue History

Date Modified Username Field Change
2017-12-08 11:18 kneip New Issue
2018-02-01 15:02 pschuele Relationship added related to 0012386
2018-02-01 15:09 pschuele Assigned To => pschuele
2018-02-01 15:14 pschuele Summary Feiertagskalender nicht auswählbar => feast calendar not selectable in Admin panel
2018-02-01 15:14 pschuele Target Version => 2017.11.4 Caroline Business Edition
2018-02-01 15:15 pschuele Status new => resolved
2018-02-01 15:15 pschuele Resolution open => fixed
2018-02-01 15:15 pschuele Fixed in Version => 2017.11.4 Caroline Business Edition
2018-02-01 15:16 pschuele Note Added: 0021384
2018-04-03 10:53 kneip Status resolved => new
2018-04-03 10:53 kneip Resolution fixed => reopened
2018-04-03 10:53 kneip Note Added: 0021584
2018-04-26 18:51 pschuele Note Added: 0021700
2018-04-26 18:52 pschuele Note Edited: 0021700 View Revisions
2018-04-26 18:52 pschuele Status new => feedback
2018-04-27 08:50 kneip Note Added: 0021702
2018-04-27 08:50 kneip Status feedback => assigned
2018-05-03 15:07 pschuele Note Added: 0021714
2018-05-03 15:07 pschuele Target Version 2017.11.4 Caroline Business Edition => 2018.02.4 Community Edition
2018-05-03 15:07 pschuele Status assigned => resolved
2018-05-03 15:07 pschuele Fixed in Version 2017.11.4 Caroline Business Edition => 2018.02.4 Community Edition